drop table bids;
drop table items;
drop table users;

create table users (
 userid 				   char(3) primary key,
 name					   varchar(20) unique,
 rating					   char(1)
);

create table items (
 itemno 				   char(4) primary key,
 description			   varchar(30),
 offered_by				   char(3),
 start_date				   date,
 end_date				   date,
 reserve_price			   decimal(10)
);

create table bids (
 userid 				   char(3),
 itemno 				   char(4),
 bid					   decimal(10) not null,
 bid_date				   date
);

insert into users values('U01','Tom Jones','B');
insert into users values('U02','Mary Doe','A');
insert into users values('U03','Dee Linquent','D');
insert into users values('U04','Roger Smith','C');
insert into users values('U05','Jack Sprat','B');
insert into users values('U06','Rip Van Winkle','B');


insert into items values(1001,'Red Bicycle','U01','1999-01-05','1999-01-20',40);
insert into items values(1002,'Motorcycle','U02','1999-02-11','1999-03-15',500);
insert into items values(1003,'Old Bicycle','U02','1999-01-10','1999-02-20',25);
insert into items values(1004,'Tricycle','U01','1999-02-25','1999-03-08',15);
insert into items values(1005,'Tennis Racket','U03','1999-03-19','1999-04-30',20);
insert into items values(1006,'Helicopter','U03','1999-05-05','1999-05-25',50000);
insert into items values(1007,'Racing Bicycle','U04','1999-01-20','1999-02-20',200);
insert into items values(1008,'Broken Bicycle','U01','1999-02-05','1999-03-06',25);

insert into bids values('U01',1002,400,'1999-02-14');
insert into bids values('U01',1004,40,'1999-03-05');
insert into bids values('U02',1001,35,'1999-01-07');
insert into bids values('U02',1001,45,'1999-01-11');
insert into bids values('U02',1001,55,'1999-01-15');
insert into bids values('U02',1002,600,'1999-02-16');
insert into bids values('U02',1002,1200,'1999-03-02');
insert into bids values('U03',1002,800,'1999-02-17');
insert into bids values('U03',1007,175,'1999-01-25');
insert into bids values('U04',1001,40,'1999-01-08');
insert into bids values('U04',1001,50,'1999-01-13');
insert into bids values('U04',1002,1000,'1999-02-25');
insert into bids values('U04',1003,15,'1999-01-22');
insert into bids values('U04',1007,225,'1999-02-12');
insert into bids values('U05',1003,20,'1999-02-03');
insert into bids values('U05',1007,200,'1999-02-08');
